/* Parent Container */
.feature-event-container {
    background-position: 50% 180%;
}

/* Feature Events Grid */
.feature-event-container .feature-events-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    row-gap: 40px;
}
.feature-event-container .feature-events-grid  .feature-event-content {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

@media(max-width:1200px){
.feature-event-container .feature-events-grid{
     grid-template-columns: repeat(2,1fr);
}
.featured-events-section {
    background-image:url('/wp-content/uploads/2025/10/home-Vector-5.webp') !important;
}
}

@media(max-width:768px){
.feature-event-container .feature-events-grid{
     grid-template-columns: repeat(1, 1fr);
      row-gap: 20px;
}
}

/* Feature Event Card */
.feature-event-container .feature-event-card {
    display: flex;
    flex-direction: column;
    gap: 20px;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    padding: 20px;
    box-shadow: 12px 21px 17px 0px rgba(87, 93, 122, 0.05);
    height:100%;
   
}

/* Thumbnail */
.feature-event-container .feature-event-thumb {
    height: 250px;
    overflow: hidden;
}

.feature-event-container .feature-event-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: 10px;
}

/* Category */
.feature-event-container .feature-event-category {
    display: inline-block;
    background: #EDEAF5;
    color: #05053B;
    font-size: 16px;
    line-height: 150%;
    padding: 4px 16px;
    border-radius: 20px;
    width:fit-content;
    /* margin-top: 15px; */
}

/* Title */
.feature-event-container .feature-event-title p{
    font-size: 20px;
    font-weight: 700;
    margin: 16px 0;
    line-height: 140%;
    color: #05053B;
}

.feature-event-container .feature-event-title p a{
    color:black
}

.feature-event-container .feature-event-title a:hover{
    text-decoration: none;
    color: var(--sky-blue);
}

/* Excerpt */
.feature-event-container .feature-event-excerpt {
    font-size: 16px;
    color: #05053B;
    line-height: 150%;
    margin: 0 0 15px;
    height: 100%;
    flex-grow: 1;
}

.feature-event-container .feature-event-excerpt p{
    margin-bottom: 0px;
}

/* Button */
.feature-event-container .feature-event-btn {
    padding: 0px;
    text-align: center;

}
.feature-event-container .feature-event-btn a {
    padding: 16px 20px;
    width: 100%;
    text-decoration: none;
    color:black;

}
.feature-event-container .feature-event-btn a:hover{
    color:#fff;
}

.feature-event-container .feature-event-btn:hover {
    background: #247CBF;
    color: #fff;
}

/* Responsive: Tablets */
@media (max-width: 1024px) {
    /* .feature-event-container .feature-events-grid {
        grid-template-columns: repeat(3, 1fr);
    } */
    .feature-event-container .feature-event-card {
        /* flex: 0 0 48%; */
    }
    /* Center last card if odd number of items */
    .feature-event-container .feature-events-grid .feature-event-card:last-child:nth-child(odd) {
        margin-left: auto;
        margin-right: auto;
    }
}

/* Responsive: Mobile */
@media (max-width: 768px) {
    .feature-event-container .feature-event-card {
        grid-template-columns: repeat(1, 1fr);
    }
    .feature-event-container .feature-event-category {
        font-size: 14px;
    }
    .feature-event-container .feature-event-title p{
        font-size: 16px;
    }
}


/* ------------------------------------------------------------events Detail Page CSS--------------------------------------- */

.event-page-form-wrapper form{
    max-width:100% !important;
    margin:0px !important;
    padding: 0px !important;
}

.event-page-form-wrapper form ._form-label{
    font-family: 'Proxima Nova', sans-serif !important;
}


.event-page-form-wrapper form ._form_element{
    margin-bottom: 16px !important;
}


/* event Deatil page */
#visitor-local-time span, #visitor-local-time {
font-size:16px;
color:#868686;
}
.event-detail-page-content img{
    border-radius:10px;
    max-width: 300px;
    width: 100%;
}
.event-detail-page-content p{
    margin-bottom:40px;
    font-size:24px !important;
    line-height: normal;
}
.event-detail-page-content p:empty {
    margin-bottom: 0;
}



/* Remove margin if this <p> is the last one in the container */
.event-detail-page-content p:last-child {
    margin-bottom: 0;
}

/* Remove margin if the next element is empty (like another empty <p>) */
.event-detail-page-content p:has(+ p:empty) {
    margin-bottom: 0;
}
.event-detail-page-content ul{
   margin: 0px 0px 40px 20px;
}
.event-detail-page-content ul li{
      font-size:24px !important;
       line-height: normal;
}

.event-detail-page-content ol li,
.event-detail-page-content span{
 font-size:24px !important;
}


@media(max-width:767px){
    .event-detail-page-content p{
    margin-bottom:40px;
    font-size:16px;
    line-height: normal;

}
.event-detail-page-content ul li{
        font-size:16px;
       line-height: normal;
}

.event-detail-page-content ol li,
.event-detail-page-content span{
 font-size:16px !important;
}

#visitor-local-time span, #visitor-local-time {
font-size:14px;
color:#868686;
}
}

.event-wrapper.event-details {
    display:flex;
    flex-direction:column;
    row-gap:40px;
}

.event-details h3 {
    margin-bottom:8px;
}

.event-details p {
  color: #868686;
  margin-bottom: 0;
}

.event-details .event-local-time p{
    margin-bottom:8px !important;
}

.event-details .event-date-pst,
.event-details .event-time-pst,
.event-details .event-local-time{
     display: flex;
    column-gap: 12px;
}

.event-details .event-date-pst img,
.event-details .event-time-pst img,
.event-details .event-local-time img{
    width: 30px;
    height: 30px;
    margin-top: 2px;
}

.event-details .event-time-pst span{
    font-size:16px;
    color:#05053B;
    font-style:italic;
    font-weight:400;
}

@media(max-width:1200px){
.single-event iframe{
    height:500px !important;
}
}

@media (max-width: 700px) {
    .single-event iframe {
        height: calc(100vh - 500px) !important;
    }
}

@media (max-width: 500px) {
    .single-event iframe {
        height: calc(100vh - 600px) !important;
    }
}

@media (max-width: 400px) {
    .single-event iframe {
        height: calc(100vh - 700px) !important;
    }
}